
<list-template titleList="Vehiculo" #list [load]="service.loading | async" [service]="service">
    <ng-container content-type="search-filter">
        <search-bar [service]="service" [columns]="columns" [activeColumn]="columns[1]"></search-bar>    
    </ng-container>
    <table class="table table-striped table-bordered">
        <thead [class.border-bottom]="service.loading | async">
            <tr>
                <th>Matricula</th>
                <th class="w-50">Descripcion</th>
                <th>Propietario</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let v of service.data">
                <td>{{ v.Matricula }}</td>
                <td>{{ v.Descripcion || '--'}}</td>
                <td>{{ v.ResidenteNombreCompleto || '--'}}</td>
                <td class="table-action">
                    <button class="btn btn-sm btn-info" (click)="list.onEdit(v)">
                      <i class="mdi mdi-lead-pencil"></i>
                    </button>
                    <button class="btn btn-sm btn-danger" (click)="list.onDelete(v)">
                      <i class="mdi mdi-delete"></i>
                    </button>
                  </td>
            </tr>
        </tbody>
        <tfoot>
            <tr>
                <td colspan="99" *ngIf="service.data.length === 0 && (service.loading | async) == false">
                    No Hay Registros
                </td>
            </tr>
        </tfoot>
    </table>
</list-template>

<ng-template #form>
    <app-vehiculo-form></app-vehiculo-form>
</ng-template>